Page MenuHomePhabricator

Allow server side parsing of the subtitles
Closed, ResolvedPublic

Description

This could allow for

  1. conversion between subtitles
  2. validation of timed text pages
  3. presenting a more understandable view on the View page of subtitles

Related Objects

Event Timeline

TheDJ created this task.May 23 2016, 7:21 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 7:21 PM
TheDJ moved this task from Backlog to TimedText on the TimedMediaHandler board.May 23 2016, 7:51 PM
jayvdb added a subscriber: jayvdb.May 23 2016, 10:08 PM

Just wondering...

Would it be helpful if "presenting a more understandable view on the View page of subtitles" was done by way of subrip support being added to pygments?

The need for a MediaWiki parser would still exist for the other use cases mentioned, but Pygments source highlighting (and limited validation) as a first step may help make these pages a little more presentable, easily, so wikimedia devs can focus on the other use cases.

TheDJ added a comment.May 8 2019, 9:59 AM

This will be mostly fixed when https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TimedMediaHandler/+/232214/ goes live as part of the videojs rework

TheDJ closed this task as Resolved.May 17 2019, 10:01 AM
TheDJ assigned this task to brion.